# Server Characters

Saves your character on the server, instead of your computer, to prevent you from messing with it.

Has to be installed on all clients and the server, to have any effect.

If you want to copy profiles from the client to the server manually, just copy them to the character folder on the server and prefix them with the Steam ID and an underscore.

## Features

### Backups

Creates backups of all profiles on the server automatically. Backups are saved in the same folder as the character profiles. Number of backups to keep can be configured.

### Emergency Backups

If a client suddenly loses connection to the server, it will automatically create an emergency backup, which it will upload to the server on the next connection, to restore it. This means that no progress will be lost, even if your internet breaks down or the server crashes for some reason.

These backups have a signature and messing with them will void this signature. The server will reject restoring emergency backups with an invalid signature.

### Server Side Inventory

The inventory of all characters is saved on the server, to prevent players from duping items.

### Single Character Mode

You can toggle the single character mode on in the servers configuration file. If it's on, each SteamID can only create one character on the server. Does not apply to server admins.

### Character Templates

On the server side, you can create a file named CharacterTemplate.yml in the same folder that has the DLL for this mod. You can add a custom spawn point, items and skills to this file. New characters will have these items and skills and will spawn at the configured position.

Example:
```yml
items:
  Wood: 50
  Stone: 30
  
skills:
  Bows: 15
  Run: 20

spawn:
  x: 100
  y: 50
  z: 150
```

### Maintenance Mode

Server admins can enable the maintenance mode. Once enabled, a timer starts. When this timer elapses, all characters will be saved, the world will be saved and all non-admins will be disconnected and cannot login until the maintenance mode has been disabled.

You can also enable the maintenance mode from the command line of the server, by creating a file named 'maintenance' in the same folder that the DLL is in. To disable it, simply delete this file. This can be used to enable the maintenance mode from the same script that does the server restart, to prevent players from losing progress.

### Discord Webhooks

In the configuration file on the server, you can set up notifications about maintenances for your Discord server. These values are not synced and won't be visible on the clients.

### Linux Administration Webinterface

ServerCharacters has an API that can be used to connect a webinterface, to allow everyone to easily manage your Valheim server, even with no knowledge about Linux servers. Can also be used to do automated schedulded restarts of the Valheim server.

For a fully functional example webinterface, please see [my GitHub repo](https://github.com/blaxxun-boop/Webinterface).